티스토리 뷰


일단 개발자들이 알아야 할 상식이 있으니, 파이선을 개발하기 앞서서, 둘 중에 어떤 버전을 사용할까 이다.

문제는 바로 최신 버전이면 최신 버전이지 구 버전과 같이 올려놓은 공인 싸이트가 문제이다.

http://python.org/

위의 링크를 타고 가면 Python을 공짜로 얻을 수 있는데, 문제는 무작정 최신버전을 받아서는 않된다는 것이다.

이유가 뭘까?

전에 Ruby on rails를 공부하면서 책을 구매 했는데, 그 때 본인이 설치했던 버전은 책의 버전보다 최신 버전이었다. 그런데 잘나가다가 이게 왠일? 있어야할 기능이 없는 것이었다. 대게 많은 이들이 생각하기에는 최신 버전에는 구 전의 모든 기능이 존재하겠지 이다. 그러나 이는 GNU에서는 틀리다. GNU 자체의 개념은 오픈 개념이고 많은 이들이 발전과 발전을 해주는 그런 개념이어서, 공인적으로 이 일반 개발자들이 제작한 기능들을 다 넣을 수 는 없는 것이다. 그리고, 새 버전이 나올 때 마다 이러한 기능들로 버전업을 해야하는데, 그게 쉽나?

내가 모듈을 만들어도 귀찮아서 바로 안한다.

그러니, 처음 배울 때는 최신 버전보다는 구 버전이 좋을 수 도 있다.

잘 생각해서 설치하는 것이 좋을 것이다.
댓글
댓글쓰기 폼